document.addEventListener('DOMContentLoaded', function() {
    var allowedDomain = "www.example.com"; //允许调用该js的域名
    var currentDomain = window.location.hostname;
    if (currentDomain !== allowedDomain) {
        return;
    }
    var originalUrl = temCurVodFile;
    function modifyM3u8Url(originalUrl) {
        let url = new URL(originalUrl);
        let basePath = url.pathname;
        basePath = basePath.replace('/movie', '').replace('.m3u8', '');
        const tenMinutesLater = new Date(new Date().getTime() + 60 * 1000); //1分钟后过期
        const timestamp = tenMinutesLater.getTime();
        const counts = 3; //请求多少次就过期
        const key = "efvtoken"; //时间戳Key值
        let stringForMd5 = basePath + `&counts=${counts}&timestamp=${timestamp}${key}`;
        const hash = CryptoJS.MD5(stringForMd5);
        const md5Key = hash.toString(CryptoJS.enc.Hex);
        let newUrl = originalUrl + `?counts=${counts}&timestamp=${timestamp}&key=${md5Key}`;
        return newUrl;
    }
    var processedUrl = modifyM3u8Url(originalUrl);
    temCurVodFile = processedUrl;
});
